Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.tools.xrilookup
Class XRILookup

    java.lang.Object
      org.openxri.tools.xrilookup.XRILookup

    public class XRILookup

extends java.lang.Object

Provides tracert-like output for XRI resolution. See outputUsage for command line usage and program output.

Author:
  =steven.churchill (ooTao.com)

Constructor Summary
`XRILookup()`

Method Summary
`static void` | `main(java.lang.String[] oArgs)` Invokes the process routine to execute the command specified by the given arguments.
`int` | `process(java.lang.StringBuffer sOutput, java.lang.String[] sArgs)` Executes the xrilookup command as indicated by the input args.
`protected void` | `setRootsFromFile(Resolver resolver, java.lang.String filename)` Scans list of command-line arguments, setting member variables for the data argument, and all options.
`protected void` | `setTrustType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XRILookup

    public XRILookup()

Method Detail

### main

    public static void main(java.lang.String[] oArgs)

  Invokes the process routine to execute the command specified by the given arguments. See outputUsage for details about program arguments and output.

### process

    public int process(java.lang.StringBuffer sOutput,
                       java.lang.String[] sArgs)

  Executes the xrilookup command as indicated by the input args. See outputUsage for the forms of invocation and details about the program arguments.

  Parameters:
    `sArgs` - - command line arguments (e.g., from main)
    `sOutput` - - program output (e.g., for stdout)
  Returns:
    SUCCESS or FAILURE

### setTrustType

    protected void setTrustType(java.lang.String type)
                         throws IllegalTrustTypeException

  Throws:
    `IllegalTrustTypeException`

### setRootsFromFile

    protected void setRootsFromFile(Resolver resolver,
                                    java.lang.String filename)
                             throws java.io.FileNotFoundException,
                                    java.io.IOException

  Scans list of command-line arguments, setting member variables for the data argument, and all options.

  Parameters:
    `oResolver-` - resolver object into which roots are set
    `sFilename-` - filename containing lines of
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.